- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CSimpleTextSubtitle Class Reference

Inheritance diagram for CSimpleTextSubtitle:

List of all members.

## Public Member Functions
| CSimpleTextSubtitle ()
virtual | ~CSimpleTextSubtitle ()
virtual void | Copy (CSimpleTextSubtitle &sts)
virtual void | Empty ()
void | Sort (bool fRestoreReadorder=false)
void | CreateSegments ()
void | Append (CSimpleTextSubtitle &sts, int timeoff=-1)
bool | Open (CString fn, int CharSet, CString name=_T(""))
bool | Open (CTextFile *f, int CharSet, CString name)
bool | Open (BYTE *data, int len, int CharSet, CString name)
bool | SaveAs (CString fn, exttype et, double fps=-1, CTextFile::enc=CTextFile::ASCII)
void | Add (CStringW str, bool fUnicode, int start, int end, CString style=_T("Default"), CString actor=_T(""), CString effect=_T(""), CRect marginRect=CRect(0, 0, 0, 0), int layer=0, int readorder=-1)
void | CreateDefaultStyle (int CharSet)
void | ChangeUnknownStylesToDefault ()
void | AddStyle (CString name, STSStyle *style)
bool | CopyStyles (const CSTSStyleMap &styles, bool fAppend=false)
bool | SetDefaultStyle (STSStyle &s)
bool | GetDefaultStyle (STSStyle &s)
void | ConvertToTimeBased (double fps)
void | ConvertToFrameBased (double fps)
int | TranslateStart (int i, double fps)
int | TranslateEnd (int i, double fps)
int | SearchSub (int t, double fps)
int | TranslateSegmentStart (int i, double fps)
int | TranslateSegmentEnd (int i, double fps)
const STSSegment * | SearchSubs (int t, double fps, int *iSegment=NULL, int *nSegments=NULL)
const STSSegment * | GetSegment (int iSegment)
STSStyle * | GetStyle (int i)
bool | GetStyle (int i, STSStyle &stss)
int | GetCharSet (int i)
bool | IsEntryUnicode (int i)
void | ConvertUnicode (int i, bool fUnicode)
CStringA | GetStrA (int i, bool fSSA=false)
CStringW | GetStrW (int i, bool fSSA=false)
CStringW | GetStrWA (int i, bool fSSA=false)
void | SetStr (int i, CStringA str, bool fUnicode)
void | SetStr (int i, CStringW str, bool fUnicode)
## Public Attributes
CString | m_name
tmode | m_mode
CTextFile::enc | m_encoding
CString | m_path
CSize | m_dstScreenSize
int | m_defaultWrapStyle
int | m_collisions
bool | m_fScaledBAS
bool | m_fUsingAutoGeneratedDefaultStyle
CSTSStyleMap | m_styles
## Protected Member Functions
virtual void | OnChanged ()
## Protected Attributes
CSTSSegmentArray | m_segments
## Friends
class | CSubtitleEditorDlg

## Detailed Description

Definition at line 107 of file STS.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/subtitles/STS.h
- C:/guliverkli/src/subtitles/STS.cpp